ich stehe im Wald..

Apache, Lighttpd, nginx, Cherokee
Anonymous

ich stehe im Wald..

Post by Anonymous » 2007-04-22 16:06

Hallo,

ich habe auf einer openSuSe10.2 die PHP-Version 5 am laufen. Nur wenn ich ein PHP-Script

Code: Select all

<? phpinfo(); ?>
ausführe kommt nichts zurück.
Wenn ich aber das Script in

Code: Select all

<?PHP phpinfo(); ?>
ändere, dann wird die Info angezeigt. Bei PHP4 hat das funktioniert und ich habe hier eine SW die halt auf PHP4 geschrieben ist und ich diese nicht ändern möchte.

Kennt jemand den Parameter, den ich ändern muß das dieses wieder funktioniert ?

Installiert habe ich:
Apache2
PHP5
Postgress 8.x


Gruß
Dietmar

der kleine tux
Posts: 97
Joined: 2005-10-29 04:12
Location: Planet Erde

Re: ich stehe im Wald..

Post by der kleine tux » 2007-04-22 16:11

Liegt an deiner php einstellung short_open_tag
http://de.php.net/ini.core

Gruß

Anonymous

Re: ich stehe im Wald..

Post by Anonymous » 2007-04-22 16:54

Hallo,

danke für die Info. Das war es !! :P

Dietmar

dtdesign
Posts: 391
Joined: 2006-09-05 21:12
Location: Berlin

Re: ich stehe im Wald..

Post by dtdesign » 2007-04-22 17:09

Anti-Fauhlheits-Regel:

Macht short_open_tag AUS! Bei vielen Providern ist es aus. Also, erspart euch Probleme und schreibt die 3 Buchstaben dazu!